## taskcoach 1.4.0

=== debian/changelog ===
taskcoach (1.4.0-1ubuntu2) utopic; urgency=medium

  * Build again using python-wxgtk2.8 (test failures with 3.0).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Aug 2014 17:22:17 +0200

taskcoach (1.4.0-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Let the autopkg test depend on language-pack-en.
    - Build-depend on language-pack-en.
  * Build using python-wxgtk3.0.
  * Don't use /usr/share/pyshared anymore, it's gone.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Aug 2014 14:54:44 +0200

taskcoach (1.4.0-1) unstable; urgency=medium

  * New upstream release (1 patch accepted).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 03 Aug 2014 23:14:05 +0200

taskcoach (1.3.41.0-1) unstable; urgency=medium

  * New upstream release (The .0 suffix corrects a packaging mistake).
  * Use embedded aui instead of older one from python-wxgtk. Closes: #749643.
    Use packaged python-lockfile instead of embedded source.
    Split the related patch to ease such changes.
  * copyright, appdata_xml.diff: improve and install upstream metadata.
  * removed obsolete README.source.
  * Disable more unit tests. Make the remaining tests verbose.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 02 Aug 2014 00:29:05 +0200

taskcoach (1.3.40-1) unstable; urgency=medium

  * New upstream release.
  * Priority: extra because Depends: python-twisted which is extra.
  * Recommends: libgnome2-0 -> libgnome-2-0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 29 May 2014 13:47:27 +0200

taskcoach (1.3.39-1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 23 May 2014 20:50:32 +0200

taskcoach (1.3.38+dfsg-1) unstable; urgency=medium

  * New upstream release.
    Build-Depends: twisted >= 10.0 instead of 10.1.0.
    Depends: xprop from x11-utils.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 25 Apr 2014 01:32:25 +0200

taskcoach (1.3.37+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * copyright: use Files-Excluded instead of a git branch.
  * control: (Build-Depends, Depends) python-twisted (>= 10.1.0)
  * rules: respect nocheck in DEB_BUILD_OPTIONS.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 12 Apr 2014 13:45:40 +0200
