=== debian/control ===
Source: taskcoach
Section: utils
Priority: extra
# Cannot be optional because Depends: python-twisted which is extra.
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends-Indep: debhelper (>= 9),
# This should be repeated as X-Python-Version below.
# 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
 python (>= 2.6.6-3~),
# See debian/rules:
 graphicsmagick,
# Unit tests have the same dependencies than the installed package.
 python-chardet (>= 2.1.1),
 python-dateutil (>= 1.5),
 python-keyring (>= 3.7),
 python-lockfile (>= 0.8),
 python-pyparsing (>= 1.5.5),
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
 python-wxgtk2.8,
 python-wxversion,
 python-twisted (>= 10.0),
 libxss1,
 fonts-dejavu,
# See tests/control.
 hicolor-icon-theme, language-pack-en | locales-all, x11-utils, xauth, xvfb
Standards-Version: 3.9.5
Homepage: http://www.taskcoach.org
X-Python-Version: >= 2.6
VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git
XS-Testsuite: autopkgtest

Package: taskcoach
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
# xprop is needed by python-desktop.
 x11-utils,
# See debian/copyright
 python-chardet (>= 2.1.1),
 python-dateutil (>= 1.5),
 python-keyring (>= 3.7),
 python-lockfile (>= 0.8),
 python-pyparsing (>= 1.5.5),
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
# See buildlib/bdist_deb.py:
# patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
# latest wxgtk for combotreebox (1.1 for now, instead of 1.2)
 python-wxgtk2.8,
 python-wxversion (>= 2.8.12.1+dfsg2),
 python-twisted (>= 10.0),
 libxss1,
 fonts-dejavu
Recommends: python-notify, libgnome-2-0, libavahi-compat-libdnssd1
Suggests: espeak, python-kde4
Description: friendly task manager
 Task Coach is a friendly open source todo manager to manage personal
 tasks and todo lists. It supports composite tasks, i.e. tasks within
 tasks. In addition, Task Coach allows you to categorize your tasks,
 track effort against a budget per task, and much more. Task Coach is
 available for Windows, Mac OS X, BSD, Linux, iPhone and iPad.
 .
 Your database may be synchronized across these platforms. If espeak
 is installed, reminders can be spoken.
