=== debian/watch ===
version=3

# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.

# This may induce a delay between sourceforge publishing a file and
# uscan knowing about it. Last line of
# http://qa.debian.org/watch/sf.php/taskcoach mentions the date of the
# last database update.

opts=dversionmangle=s/\+dfsg$// \
http://sf.net/taskcoach/TaskCoach-(.+)-raw\.tgz
