=== debian/changelog ===
taskcoach (1.4.1-4) unstable; urgency=medium

  * Depend on python-wxgtk3.0 >=3.0.1.1+dfsg-2:
    New pubsub includes a taskcoach patch (Closes: #762413),
    no need to build-depend on cpio (Closes: #765677)
    or dh-linktree (removes a lintian false positive).
    Img2py requires an X server: patches/run_img2py_inside_xvfb.diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 28 Oct 2014 02:59:32 +0100

taskcoach (1.4.1-3) unstable; urgency=medium

  * Standards-Version: 3.9.6, no changes.

  [ Olly Betts <olly@survex.com>, Peter Gervai <grin@grin.hu> ]
  * Disable python-wxgtk3 debug messages. Closes: #764570.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 11 Oct 2014 14:09:12 +0200

taskcoach (1.4.1-2) unstable; urgency=medium

  * Rebuild against python-wxgtk 3.0.1.1+dfsg-1. Closes: #762679.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 03 Oct 2014 22:55:43 +0200

taskcoach (1.4.1-1) unstable; urgency=medium

  * New upstream release. Repackage with xz.
  * Replace embedded aui, agw and most pubsub with python-wxgtk3.0 versions.
  * Disable unit until they migrate to python-wxgtk3.0.

  [ Olly Betts <olly@survex.com> ]
  * Update to use wxPython 3.0. Closes: #759083.
    New patch: wxpy3.0-compat.patch.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 14 Sep 2014 20:57:04 +0200

taskcoach (1.4.0-2) unstable; urgency=medium

  * Revert to Priority: optional. Possible because (Build-)Depends:
    optional p-twisted-core instead of the whole extra p-twisted.
  * tests_with_wxgtk2.8.diff closes: #758727.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 Aug 2014 14:43:58 +0200
