=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: taskcoach
 Section: utils
-Priority: extra
-# Cannot be optional because Depends: python-twisted which is extra.
+Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends-Indep: debhelper (>= 9),
 # This should be repeated as X-Python-Version below.
@@ -17,19 +16,19 @@
  python-pyparsing (>= 1.5.5),
  python-squaremap (>= 1.0.3),
  python-xdg (>= 0.25),
- python-wxgtk2.8,
+ python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~),
  python-wxversion,
- python-twisted (>= 10.0),
+ python-twisted-core (>= 10.0),
  libxss1,
  fonts-dejavu,
 # See tests/control.
- hicolor-icon-theme, language-pack-en | locales-all, x11-utils, xauth, xvfb
-Standards-Version: 3.9.5
+ hicolor-icon-theme, locales-all, x11-utils, xauth, xvfb
+# Also see patches/run_img2py_inside_xvfb.diff.
+Standards-Version: 3.9.6
 Homepage: http://www.taskcoach.org
 X-Python-Version: >= 2.6
 VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git
-XS-Testsuite: autopkgtest
 
 Package: taskcoach
 Architecture: all
@@ -44,12 +43,10 @@
  python-pyparsing (>= 1.5.5),
  python-squaremap (>= 1.0.3),
  python-xdg (>= 0.25),
-# See buildlib/bdist_deb.py:
-# patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
-# latest wxgtk for combotreebox (1.1 for now, instead of 1.2)
- python-wxgtk2.8,
- python-wxversion (>= 2.8.12.1+dfsg2),
- python-twisted (>= 10.0),
+# See buildlib/bdist_deb.py and #762413
+ python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~),
+ python-wxversion,
+ python-twisted-core (>= 10.0),
  libxss1,
  fonts-dejavu
 Recommends: python-notify, libgnome-2-0, libavahi-compat-libdnssd1
