## taskcoach 1.4.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Task Coach - Your friendly task manager
-# Copyright (C) 2004-2014 Task Coach developers <developers@taskcoach.org>
+# Copyright (C) 2004-2016 Task Coach developers <developers@taskcoach.org>
 # 
 # Task Coach is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -25,8 +25,13 @@
 # (wx only works in 32 bits mode and the environment/default write trick to
 # make it the default does not seem to work on Lion).
 
-ifeq "$(shell uname -sm)" "Darwin x86_64"
+ifeq "$(shell uname -s)" "Darwin"
+BITS=$(shell python -c "import struct; print len(struct.pack('L', 0))")
+ifeq "$(BITS)" "8"
     PYTHON?="python-32"
+else
+    PYTHON?="python"
+endif
 else
     PYTHON?="python"
 endif
@@ -57,20 +62,21 @@
 	$(INNOSETUP) build/taskcoach.iss
 
 py2exe: prepare
-	$(PYTHON) make.py py2exe
+	$(PYTHON) pymake.py py2exe
 
 sdist_windows: prepare changes templates dist/TaskCoach-$(TCVERSION).zip
 
 dist/TaskCoach-$(TCVERSION).zip:
-	$(PYTHON) make.py sdist --formats=zip --no-prune --template=build.in/windows/MANIFEST.in
+	$(PYTHON) pymake.py sdist --formats=zip --no-prune --template=build.in/windows/MANIFEST.in
 
 sdist_linux: prepare changes templates dist/TaskCoach-$(TCVERSION).tar.gz
 
 sdist_ubuntu: sdist_linux
 	# Launchpad does not support one size fits all packages...
-	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
 	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
 	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
+	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu15~vivid.tar.gz
+	cp dist/TaskCoach-$(TCVERSION).tar.gz dist/taskcoach_$(TCVERSION)-0ubuntu15~wily.tar.gz
 
 sdist_raw:
 	mkdir -p dist
@@ -80,47 +86,47 @@
 	cd dist; tar czf TaskCoach-$(TCVERSION)-raw.tgz TaskCoach-$(TCVERSION); rm -rf TaskCoach-$(TCVERSION)
 
 dist/TaskCoach-$(TCVERSION).tar.gz:
-	$(PYTHON) make.py sdist --formats=gztar --no-prune --template=build.in/debian/MANIFEST.in
+	$(PYTHON) pymake.py sdist --formats=gztar --no-prune --template=build.in/debian/MANIFEST.in
 	echo Created dist/TaskCoach-$(TCVERSION).tar.gz
 
 rpm: prepare changes templates
 	cp build.in/debian/MANIFEST.in .
-	$(PYTHON) make.py bdist_rpm --requires "python2.5,python-wxgtk2.8" --group "Applications/Productivity"
+	$(PYTHON) pymake.py bdist_rpm --requires "python2.5,python-wxgtk2.8" --group "Applications/Productivity"
 	rm MANIFEST.in
 
 fedora: prepare changes templates
 	cp build.in/debian/MANIFEST.in .
-	$(PYTHON) make.py bdist_rpm_fedora
+	$(PYTHON) pymake.py bdist_rpm_fedora
 	rm MANIFEST.in
 
 opensuse: sdist_linux
 	cp build.in/debian/MANIFEST.in .
-	$(PYTHON) make.py bdist_rpm_opensuse 
+	$(PYTHON) pymake.py bdist_rpm_opensuse 
 	mv dist/taskcoach-$(TCVERSION)-1.noarch.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.i386.rpm
 	mv dist/taskcoach-$(TCVERSION)-1.src.rpm dist/taskcoach-$(TCVERSION)-1.opensuse.src.rpm
 
 deb: sdist_linux
 	mv dist/TaskCoach-$(TCVERSION).tar.gz dist/TaskCoach_$(TCVERSION).tar.gz
-	LC_ALL=C $(PYTHON) make.py bdist_deb --sdist=dist/TaskCoach_$(TCVERSION).tar.gz
+	LC_ALL=C $(PYTHON) pymake.py bdist_deb --sdist=dist/TaskCoach_$(TCVERSION).tar.gz
 	mv dist/taskcoach_$(TCVERSION)-1_all.deb dist/taskcoach_$(TCVERSION)-1.deb
 
 ubuntu: sdist_ubuntu
-	LC_ALL=C $(PYTHON) make.py bdist_ubuntu lucid 10 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu10~lucid.tar.gz
-	mv build build-lucid
-	LC_ALL=C $(PYTHON) make.py bdist_ubuntu precise 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
+	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu precise 12 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu12~precise.tar.gz
 	mv build build-precise
-	LC_ALL=C $(PYTHON) make.py bdist_ubuntu trusty 14 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
+	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu trusty 14 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu14~trusty.tar.gz
 	mv build build-trusty
+	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu vivid 15 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu15~vivid.tar.gz
+	mv build build-vivid
+	LC_ALL=C $(PYTHON) pymake.py bdist_ubuntu wily 15 --sdist=dist/taskcoach_$(TCVERSION)-0ubuntu15~wily.tar.gz
+	mv build build-wily
 
 ppa_sign: ubuntu
-	cd build-lucid; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
 	cd build-precise; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
 	cd build-trusty; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
+	cd build-vivid; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
+	cd build-wily; debsign -k0x$(PGPID) taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
 
 # Split PPA by version because the upload has a tendency to fail so the buildbot must retry
-
-ppa_rel_lucid:
-	cd build-lucid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
 
 ppa_rel_precise:
 	cd build-precise; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
@@ -128,8 +134,11 @@
 ppa_rel_trusty:
 	cd build-trusty; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
 
-ppa_relnext_lucid:
-	cd build-lucid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
+ppa_rel_vivid:
+	cd build-vivid; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
+
+ppa_rel_wily:
+	cd build-wily; dput ppa:taskcoach-developers/release-snapshot taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
 
 ppa_relnext_precise:
 	cd build-precise; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
@@ -137,8 +146,11 @@
 ppa_relnext_trusty:
 	cd build-trusty; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
 
-ppa_release_lucid:
-	cd build-lucid; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu10~lucid-1_source.changes
+ppa_relnext_vivid:
+	cd build-vivid; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
+
+ppa_relnext_wily:
+	cd build-wily; dput ppa:taskcoach-developers/nextrelease-snapshot taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
 
 ppa_release_precise:
 	cd build-precise; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu12~precise-1_source.changes
@@ -146,8 +158,14 @@
 ppa_release_trusty:
 	cd build-trusty; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu14~trusty-1_source.changes
 
+ppa_release_vivid:
+	cd build-vivid; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu15~vivid-1_source.changes
+
+ppa_release_wily:
+	cd build-wily; dput ppa:taskcoach-developers/ppa taskcoach_$(TCVERSION)-0ubuntu15~wily-1_source.changes
+
 app: prepare
-	$(PYTHON) make.py py2app
+	$(PYTHON) pymake.py py2app
 	chmod 644 "build/Task Coach/TaskCoach.app/Contents/Resources/taskcoach.py"
 
 dmg-goodies: app
@@ -166,10 +184,10 @@
 	make dmgbase
 
 winpenpack: py2exe 
-	$(PYTHON) make.py bdist_winpenpack
+	$(PYTHON) pymake.py bdist_winpenpack
 
 portableapps: py2exe
-	$(PYTHON) make.py bdist_portableapps
+	$(PYTHON) pymake.py bdist_portableapps
 	$(PORTABLEAPPSINSTALLER) $(TCPORTABLE)
 	mv build/TaskCoachPortable_$(TCVERSION).paf.exe dist
 
@@ -182,7 +200,7 @@
 	cd thirdparty; tar xzf python-dateutil-1.5.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-dateutil-1.5/dateutil
 	cd thirdparty; tar xzf desktop-0.4.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty desktop-0.4.2/desktop
 	cd thirdparty; tar xzf keyring-3.7.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty keyring-3.7/keyring
-	cd thirdparty; tar xzf lockfile-0.8.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.8/lockfile.py
+	cd thirdparty; tar xzf lockfile-0.12.2.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty lockfile-0.12.2/lockfile
 	cd thirdparty; tar xzf PyPubSub-3.3.0.tar.gz --strip-components=2 -C ../taskcoachlib/thirdparty PyPubSub-3.3.0/src/pubsub
 	cd thirdparty; tar xzf SquareMap-1.0.3.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty SquareMap-1.0.3/squaremap
 	cd thirdparty; tar xzf python-ntlm-40080cff37ab32570f9bb50bad0a46b957409c18.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty python-ntlm/ntlm
@@ -196,7 +214,6 @@
 	cd thirdparty; tar xzf agw-r70819.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty agw/hypertreelist.py
 	cd thirdparty; tar xzf gntp-d639fa2e981fe41196a5115ad64320b5061f004b.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty gntp/gntp
 	cd thirdparty; tar xzf pyxdg-0.25.tar.gz --strip-components=1 -C ../taskcoachlib/thirdparty pyxdg-0.25/xdg
-	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/lockfile.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/customtreectrl.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist-headers.diff
 	cd taskcoachlib/thirdparty; patch -p1 < ../../thirdparty/patches/hypertreelist.diff
@@ -242,26 +259,3 @@
 	cd tests; $(PYTHON) test.py --integrationtests
 
 languagetests: thirdpartymodules icons i18n
-	cd tests; $(PYTHON) test.py --languagetests
-
-releasetests: thirdpartymodules icons i18n sdist_linux
-	cd tests; $(PYTHON) test.py --releasetests
-
-# FIXME: disttests should depend on either windist, deb, rpm or dmg...
-disttests:
-	cd tests; $(PYTHON) test.py --disttests
-
-alltests: prepare sdist_linux
-	cd tests; $(PYTHON) test.py --alltests
-
-coverage: coverage_run coverage_report
-
-coverage_run:
-	cd tests; coverage run --source=../taskcoachlib,unittests test.py
-
-coverage_report:
-	cd tests; coverage html -d coverage.out --omit=../taskcoachlib/i18n/po2dict.py,../taskcoachlib/i18n/??.py,../taskcoachlib/i18n/???.py,../taskcoachlib/i18n/??_??.py,../taskcoachlib/thirdparty/*.py,../taskcoachlib/meta/debug.py,test.py
-
-pylint:
-	-pylint --rcfile=.pylintrc -f html taskcoachlib > pylint.html
-
