=== debian/changelog ===
taskcoach (1.4.3-6) unstable; urgency=medium

  * Update path for python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~). Closes: #895512.
  * Stop recommending: libgnome-2. Closes: #885764.
  * Standards-Version: 4.1.4. Replace CC0-1.0 with link to common-licenses.
  * Debhelper 11.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 21 Apr 2018 22:02:05 +0200

taskcoach (1.4.3-5) unstable; urgency=medium

  * twisted-version-compare.diff: allow string minor version. Closes: 877029.
  * Handle API change in python-lockfile 0.9. Closes: 789565.
  * Make build-dependency on dh-python explicit.
  * Standards-Version: 4.1.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 Oct 2017 21:05:34 +0200

taskcoach (1.4.3-4) unstable; urgency=medium

  * Disable parallel execution of upstream Makefile.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Aug 2017 05:27:39 +0200

taskcoach (1.4.3-3) unstable; urgency=medium

  * Debhelper 10. Drop explicit targets confusing dh.
  * Standards-Version: 4.0.1. HTTPS copyright format URL.
  * Drop X-Python, satisfied in Debian and confusing debcheck.
  * Update appdata format and install directory.
  * Run each img2py in xvfb, but not in parallel.
  * Uscan version 4 allows a more readable watch file.

  [ Chris Lamb <lamby@debian.org> ]
  * reproducible_build.diff: sort directory listing . Closes: #862592.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 12 Aug 2017 22:31:41 +0200

taskcoach (1.4.3-2) unstable; urgency=medium

  * missing-import-in-openfile.diff closes: 835898.
  * Standards-Versions: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 29 Aug 2016 11:22:10 +0200

taskcoach (1.4.3-1) unstable; urgency=medium

  * New upstream release. Copyright update.
    Depend: python-twisted >= 12.1, xdg-utils. Drop menu file.
    Upstream stops patching python-lockfile. Closes:#788974.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 31 Jan 2016 22:04:22 +0100

taskcoach (1.4.2-1) unstable; urgency=medium

  * New upstream release. Closes: #764763.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 28 Apr 2015 19:02:52 +0200
