=== debian/control ===
Source: taskcoach
Section: utils
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends-Indep: debhelper (>= 11),
# 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
 python (>= 2.6.6-3~),
 dh-python,
# See debian/rules:
 graphicsmagick,
# Unit tests have the same dependencies than the installed package.
 python-chardet (>= 2.1.1),
 python-dateutil (>= 1.5),
 python-keyring (>= 3.7),
 python-lockfile (>= 0.9),
 python-pyparsing (>= 1.5.5),
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
# Version modifying the path in official_agw.diff.
 python-wxgtk3.0 (>= 3.0.2.0+dfsg-7),
 python-wxversion,
 python-twisted-core (>= 12.1),
 libxss1,
 fonts-dejavu,
# See tests/control.
 hicolor-icon-theme, locales-all, x11-utils, xauth, xvfb
# Also see patches/run_img2py_inside_xvfb.diff.
Standards-Version: 4.1.4
Homepage: http://www.taskcoach.org
VCS-Git: https://anonscm.debian.org/git/collab-maint/taskcoach.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git

Package: taskcoach
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
# xprop is needed by python-desktop.
 x11-utils,
# See debian/copyright
 python-chardet (>= 2.1.1),
 python-dateutil (>= 1.5),
 python-keyring (>= 3.7),
 python-lockfile (>= 0.9),
 python-pyparsing (>= 1.5.5),
 python-squaremap (>= 1.0.3),
 python-xdg (>= 0.25),
# See buildlib/bdist_deb.py and #762413
 python-wxgtk3.0 (>= 3.0.1.1+dfsg-2~),
 python-wxversion,
 python-twisted-core (>= 12.1),
 libxss1,
 fonts-dejavu,
 xdg-utils
# Avoid recommending obsolete libgnome-2 like upstream.
Recommends: python-notify, libavahi-compat-libdnssd1
Suggests: espeak, python-kde4
Description: friendly task manager
 Task Coach is a friendly open source todo manager to manage personal
 tasks and todo lists. It supports composite tasks, i.e. tasks within
 tasks. In addition, Task Coach allows you to categorize your tasks,
 track effort against a budget per task, and much more. Task Coach is
 available for Windows, Mac OS X, BSD, Linux, iPhone and iPad.
 .
 Your database may be synchronized across these platforms. If espeak
 is installed, reminders can be spoken.
