=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,15 @@
 #!/usr/bin/make -f
 
-# export DH_VERBOSE := 1
-
-POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
- build-indep clean
-.PHONY: $(POLICY_TARGETS)
-$(POLICY_TARGETS):
+%:
 	dh $@ --with python2
 
-# Tell each dh_auto_* tool which buildsystem is needed.
-override_dh_auto_clean:: override_%:
-	$* --buildsystem=makefile -- reallyclean
+override_dh_auto_clean::
+# clean and reallyclean cannot run in parallel.
+	$(MAKE) reallyclean
 override_dh_auto_build: override_%:
-	$* --buildsystem=makefile -- prepare
+# img2py needs an X display to convert images.
+# Do not mix xvfb-run and parallelism.
+	xvfb-run $(MAKE) prepare
 	$* --buildsystem=python_distutils
 override_dh_auto_install:: override_%:
 	$* --buildsystem=python_distutils
@@ -42,7 +39,6 @@
 	rm -f -r taskcoachlib/thirdparty/desktop
 	rm -f -r taskcoachlib/thirdparty/gntp
 	rm -f    taskcoachlib/thirdparty/hypertreelist.py
-	rm -f    taskcoachlib/thirdparty/lockfile.py
 	rm -f -r taskcoachlib/thirdparty/ntlm
 	rm -f    taskcoachlib/thirdparty/pybonjour.py
 	rm -f    taskcoachlib/thirdparty/wmi.py
@@ -65,7 +61,7 @@
 # Upstream provides the main executable with a .py suffix.
 EXE_DIR := debian/taskcoach/usr/bin
 DESKTOP := debian/taskcoach/usr/share/applications/taskcoach.desktop
-APPDATA := debian/taskcoach/usr/share/appdata/taskcoach.appdata.xml
+APPDATA := debian/taskcoach/usr/share/metainfo/taskcoach.appdata.xml
 override_dh_auto_install::
 	cd $(EXE_DIR) && mv taskcoach.py taskcoach
 	sed --in-place 's/Exec=taskcoach\.py/Exec=taskcoach/' $(DESKTOP)
