=== debian/watch ===
version=4
opts=\
  dversionmangle=s/\+dfsg$//,\
  repack,\
  compression=xz \
http://sf.net/taskcoach/TaskCoach-(.+)-raw\.tgz
